# class toResultBar

Display the result of a query in a piechart. More...

Definition | `#include <toresultbar.h>`
Inherits | toBarChart [public ], toResult [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultBar (QWidget *parent,const char *name=NULL)
- ~toResultBar ()
- void setFlow (bool on)
- bool flow (void)
- virtual void query (const QString &sql,const toQList ¶m)
- virtual void clear (void)
- virtual std::list<double> transform (std::list<double> &input)
- virtual bool canHandle (toConnection &)
- void setSQL (const QString &sql)
- void setSQL (toSQL &sql)
- void query (const QString &sql)
- void query (toSQL &sql)

#### Public Slots

- virtual void refresh (void)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

#### Protected Slots

- virtual void connectionChanged (void)

## Detailed Description

Display the result of a query in a piechart. The first column of the query should contain the x value and the rest of the columns should be values of the diagram. The legend is the column name. Connects to the tool timer for updates automatically.

toResultBar (QWidget *parent,const char *name=NULL)

### toResultBar

Create widget.

Parameters:

parent | Parent of list.
name | Name of widget.

~toResultBar ()

### ~toResultBar

Destroy chart

void setFlow (bool on)

### setFlow

Display actual values or flow/s.

Parameters:

on | Display flow or absolute values.

bool flow (void)

### flow

Return if flow is displayed.

Returns: If flow is used.

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResult.

void clear (void)

### clear

[virtual]

Reimplemented for internal reasons.

Reimplemented from toLineChart.

std::list<double> transform (std::list<double> &input)

### transform

[virtual]

Transform valueset. Make it possible to perform more complex transformation. called directly before adding the valueset to the chart. After flow transformation. Default is passthrough.

Parameters:

input | The untransformed valueset.

Returns: The valueset actually added to the chart.

bool canHandle (toConnection &)

### canHandle

[virtual]

Handle any connection

Reimplemented from toResult.

void setSQL (const QString &sql)

### setSQL

Set the SQL statement of this list

Parameters:

sql | String containing statement.

Reimplemented from toResult.

void setSQL (toSQL &sql)

### setSQL

Set the SQL statement of this list. This will also affect Name.

Parameters:

sql | SQL containing statement.

Reimplemented from toResult.

void query (const QString &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (toSQL &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void refresh (void)

### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2)

### changeParams

[virtual slot]

Reimplemented For internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void connectionChanged (void)

### connectionChanged

[protected slots virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.